# Uses of Interface
org.eclipse.jface.text.IEventConsumer

Packages that use IEventConsumer
Package
Description
org.eclipse.jface.contentassist
Provides a content assist add-on for implementors of `IContentAssistSubjectControl`.
org.eclipse.jface.text
Provides a framework for creating and manipulating text documents.

## Uses of IEventConsumer in org.eclipse.jface.contentassist

Methods in org.eclipse.jface.contentassist with parameters of type IEventConsumer
Modifier and Type
Method
Description
`void`
AbstractControlContentAssistSubjectAdapter.`setEventConsumer(IEventConsumer eventConsumer)`
Deprecated.
`void`
IContentAssistSubjectControl.`setEventConsumer(IEventConsumer eventConsumer)`
If supported, registers an event consumer with this content assist subject.

## Uses of IEventConsumer in org.eclipse.jface.text

Fields in org.eclipse.jface.text declared as IEventConsumer
Modifier and Type
Field
Description
`protected IEventConsumer`
TextViewer.`fEventConsumer`
The text viewer's event consumer
Methods in org.eclipse.jface.text with parameters of type IEventConsumer
Modifier and Type
Method
Description
`void`
ITextViewer.`setEventConsumer(IEventConsumer consumer)`
Registers an event consumer with this viewer.
`void`
TextViewer.`setEventConsumer(IEventConsumer consumer)`